<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8"/>
		<title><%= htmlWebpackPlugin.options.title %></title>
		<meta name="description" content="Author your Tezos contracts using Blockly"/>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta name="author" content="Boris Ettinger">
		<meta property="og:title" content="Tezos visual smart contract editor using Blockly">
		<meta property="og:url" content="http://www.tezos-blockly.net/index.html">
		<meta property="og:image" content="http://www.tezos-blockly.net/og-tezos-blockly.png">
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha1/css/bootstrap.min.css"
												 integrity="sha384-r4NyP46KrjDleawBgD5tp8Y7UzmLA05oM1iAEQ17CSuDqnUK2+k9luXQOfXJCJ4I" crossorigin="anonymous">

		<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
					integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
		 crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha1/js/bootstrap.min.js"
					integrity="sha384-oesi62hOLfzrys4LxRF63OJCXdXDipiYWBnvTl9Y9/TRlw5xlKIEHpNyvvDShgf/"
		 crossorigin="anonymous"></script>

	</head>
	<body>
		<div class="container-fluid">
			<nav class="navbar navbar-light bg-light">
				<div class="navbar-brand">
					<img src="tezos-blockly.png" class="d-inline-block align-middle" alt="Blockly for Tezos"/>
					Tezos visual contract editor
				</div>
				<div>
					<button type="button" class="btn" data-toggle="modal" data-target="#aboutModal">
						About
					</button>

					<div class="modal fade" id="aboutModal" tabindex="-1" role="dialog" aria-labelledby="aboutModalLabel" aria-hidden="true">
						<div class="modal-dialog modal-lg" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<h5 class="modal-title" id="aboutModalLabel">About this project</h5>
									<button type="button" class="close" data-dismiss="modal" aria-label="Close">
										<span aria-hidden="true">&times;</span>
									</button>
								</div>
								<div class="modal-body">
									Written by Boris Ettinger and Igor Gordon for CoinList Tezos Hackathon.<br/>
									Translates Blockly blocks to LIGO smart contract language for Tezos.<br/> 
									Server code is based on LIGO Web IDE. </br>
									Many thanks to Matej Šima from Stove Labs, Eli Terdjman from Tezos Israel and Spenser Huang from CoinList for support.</br>
									Technical discussions with Pierre-Emmanuel Wulfman from LIGO are greatfully acknowledged.
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
								</div>
							</div>
						</div>
					</div>
					<button type="button" class="btn" data-toggle="modal" data-target="#statusModal">
						Status
					</button>

					<div class="modal fade" id="statusModal" tabindex="-1" role="dialog" aria-labelledby="statusModalLabel" aria-hidden="true">
						<div class="modal-dialog modal-lg" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<h5 class="modal-title" id="statusModalLabel">Current Status</h5>
									<button type="button" class="close" data-dismiss="modal" aria-label="Close">
										<span aria-hidden="true">&times;</span>
									</button>
								</div>
								<div class="modal-body">
									<ul>
										<li>
											Contract has integer storage.
										</li>
										<li>
											Can have arbitary number of entry points with arbitrary number of only integer parameters.
										</li>
										<li>
											One operation of paying tezos to an address is implemented. 
										</li>
										<li>
											No need to supply an empty list of operations every time. A value is assumed to be the new storage and hence to be an integer. If there are no operations, an empty list will be added.
										</li>
									</ul>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
								</div>
							</div>
						</div>
					</div>

					<a href="https://gitlab.com/ettinger.boris/tezos-blockly" class="btn btn-default">
						<img src="gitlab.png" width="20" /> Source
					</a>
				</div>
			</nav>
			<div class="row m-2">
				<div class="col-lg-8"> <div id="blocklyArea" style="height:400px "></div>
					<div id="blocklyDiv" style="position: absolute"></div>
					<pre class="content language-reason" style="background: none"><code id="contract"></code></pre>
				</div>

				<div class="col-sm-3 m-1">
					<div class="form-group">
						<label for="sel1">Contract templates:</label>
						<select class="form-control m-1" id="sel1">
							<option>Empty</option>
							<option>Arithmetic</option>
							<option>Pay 1tez</option>
							<option>Safe Subtract</option>
						</select>
					</div>
					<button id="ligo" type="button" class="btn btn-primary">Compile</button>
					<pre class="" style="background: none"><code class="language-asm6502" id="result"></code></pre>
					<pre class="" id="compiled"></pre>

				</div> 
			</div>
	</body>
</html>
